﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Threading;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace WPFClient
{
    /// <summary>
    /// Allows user to send messages through server to other user while running chatting and chat methods in Main and Client respectively.
    /// </summary>
    public partial class Chat : Window
    {
        ChatClient client; //communicated with server
        int chatID; //id of current chat
 
        public Chat(ChatClient client, int chatID)
        {
            this.chatID = chatID; //gets id of chat from Main
            InitializeComponent();
            this.client = (ChatClient)client; //gets client from Main   
        }
    }
}
